Subject: Re: git-{diff,merge} refactor round 2

From: Junio C Hamano <[email-masked]>
Date: Sun, 05 Apr 2009 17:33:55 -0700

Markus Heidelberg <[email-masked]> writes:

> David Aguilar, 05.04.2009:
> ...
>> 1. Base it on the current master, completely throwing away
>> the existing da/difftool branch.  That would include throwing
>> away the commit that's in next if we really want to be clean
>> about the history.  In the process, move Markus' mergetool
>> fixes for windows to the top so that they can be applied
>> independently if necessary.  This series would then depend
>> on them.
>
> This is my favourite, too.

Ok.  You two forgot another obvious option of not doing anything, but
since both of you seem to be Ok with the rewrite, let's take that
approach.  It is easy to revert the one premature merge out of next and
then merge the cleaned-up version.

> Yes, some squashing would be nice. Similar commit messages are confusing
> when reading the history.

Agreed.